From 2df2ecdf37fe0654d7edf8507b8c139bd7c05d54 Mon Sep 17 00:00:00 2001
From: Devyani Kota <divs.passion.18@gmail.com>
Date: Mar 14 2016 18:48:08 +0000
Subject: [PATCH 320/1001] Removed redundant users association relation with hubs


---

diff --git a/hubs/models.py b/hubs/models.py
index 0696266..b94a31f 100644
--- a/hubs/models.py
+++ b/hubs/models.py
@@ -125,7 +125,7 @@ class Hub(BASE):
     summary = sa.Column(sa.String(128))
     created_on = sa.Column(sa.DateTime, default=datetime.datetime.utcnow)
     widgets = relation('Widget', backref=backref('hub'))
-    users = relation('Association', backref=backref('hubs'))
+    # users = relation('Association', backref=backref('hubs'))
     left_width = sa.Column(sa.Integer, nullable=False, default=8)
     archived = sa.Column(sa.Boolean, default=False)
     user_hub = sa.Column(sa.Boolean, default=False)
@@ -307,7 +307,7 @@ class User(BASE):
     openid = sa.Column(sa.Text, primary_key=True)
     fullname = sa.Column(sa.Text)
     created_on = sa.Column(sa.DateTime, default=datetime.datetime.utcnow)
-    hubs = relation('Association', backref=backref('users'))
+    # hubs = relation('Association', backref=backref('users'))
 
     def __json__(self, session):
         return {

